commit: 5c6a0b2f538d177b85b11c1868e83ec28a69ba3d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 19 07:55:45 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 19 08:59:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c6a0b2f
dev-python/boto3: Bump to 1.16.40
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/boto3/Manifest | 1 +
dev-python/boto3/boto3-1.16.40.ebuild | 56 +++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cfc0e5664b2..bfafa4b51ac 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.16.36.tar.gz 341458 BLAKE2B
7e4cf667cd59caa8433226eb6914412370bfa4c
DIST boto3-1.16.37.tar.gz 341684 BLAKE2B
4c9e7389ae4620edbb9cee2accfe6e7b520998b0a1110444d137387a098ed027a281e69a9bf6b2d3383a51b60b6dac16695b867ee27f44a9180459dd8a4b55b4
SHA512
1105b00d6aed4ebd36b77b21c6a3370dd1f34669df2621cd13dd776788d7fdd469086fd6956920632bf33a5291b14514518046983afd95441d54b35dc68347c2
DIST boto3-1.16.38.tar.gz 341739 BLAKE2B
75cad4c53ae951b8f913e533dc73f6b5e0bfebe416cb28b7a7700b848a39f0e46e225a5d9c926a3343412d0ea90405c2f22ee6e2ba996c42fab3c62bc77cf5e6
SHA512
9f9edd5a9b3b9695c453e86d29b33271134d297772b0d1e6bc440bb6a87918144c4fee16a629d67be174b756392fa7417374e12dc866d19da24174ebbf31e368
DIST boto3-1.16.39.tar.gz 341915 BLAKE2B
286a06b3e8bd6f2a1ddfb017705f19c4f73d20f46f47c74647ecdae0cc7df8246d4714b1d4f9474ce5d6748d161f1f324c84cb3371bee9945264a93d8e370d04
SHA512
e79c0f4f85364e0693e3931b70c7d6600ce8e1af990e103a2f2b4876653b472be2e20acc8fefda83c70d259661e7c4bcd5e1571fcd909a8fb3a78a924560cab5
+DIST boto3-1.16.40.tar.gz 342028 BLAKE2B
6728b658ee75b76d4885e43316a58508a8563476a85af39462adf58982bfd75a680b05d273a5a0aabd3c935cd87f72d93ffd815d7230b9f44d64337f66de5071
SHA512
4ebe3069fd93657165acd7bab40c44fb37de61326e103b9675f919a0f88ef20341c9efd6fe05684a13e26f10d5b18858a978bbb04225af628df6ff16ad8ab071
diff --git a/dev-python/boto3/boto3-1.16.40.ebuild
b/dev-python/boto3/boto3-1.16.40.ebuild
new file mode 100644
index 00000000000..ccc99e1c241
--- /dev/null
+++ b/dev-python/boto3/boto3-1.16.40.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under
${EPYTHON}"
+}